Bug 708531 - fails to build without downstream patches
fails to build without downstream patches
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-system-monitor (Show other bugs)
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: David King
Desktop QE
: EasyFix, Patch
Depends On:
  Show dependency treegraph
Reported: 2011-05-27 17:20 EDT by Kamil Dudka
Modified: 2017-12-06 05:39 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-06 05:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed fix (767 bytes, patch)
2011-05-27 17:21 EDT, Kamil Dudka
no flags Details | Diff

  None (edit)
Description Kamil Dudka 2011-05-27 17:20:23 EDT
Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. rpmbuild --define '__patch /bin/true' --rebuild gnome-system-monitor-2.28.0-7.el6.src.rpm

Actual results:
DEBUG: configure: WARNING: unrecognized options: --enable-selinux, --enable-polkit
DEBUG: Configuration:
DEBUG:  Source code location:   .
DEBUG:  C Compiler:     gcc
DEBUG:  C++ Compiler:       g++
DEBUG:  CFLAGS:             -Wall     -Winline     -Wchar-subscripts -Wmissing-declarations -Wmissing-prototypes     -Wnested-externs -Wpointer-arith     -Wc
DEBUG:  CXXFLAGS:       -Wall -std=c++98 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=gene
DEBUG:  Maintainer mode:
DEBUG:  Languages:
DEBUG: + make -C src gnome-system-monitor-mechanism-glue.h gnome-system-monitor-mechanism-client-glue.h
DEBUG: make: Entering directory `/builddir/build/BUILD/gnome-system-monitor-2.28.0/src'
DEBUG: make: Leaving directory `/builddir/build/BUILD/gnome-system-monitor-2.28.0/src'
DEBUG: make: *** No rule to make target `gnome-system-monitor-mechanism-glue.h'.  Stop.
DEBUG: error: Bad exit status from /var/tmp/rpm-tmp.LpwG86 (%build)
DEBUG:     Bad exit status from /var/tmp/rpm-tmp.LpwG86 (%build)

Additional info:
The proposed change is required for Coverity to scan defects in downstream
patches separately.
Comment 1 Kamil Dudka 2011-05-27 17:21:31 EDT
Created attachment 501401 [details]
proposed fix
Comment 3 Suzanne Yeghiayan 2011-10-06 14:50:08 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.
Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 5 Jan Kurik 2017-12-06 05:39:47 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:


This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:


Note You need to log in before you can comment on or make changes to this bug.